RCInterface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.net.rc
Class RCInterface

    java.lang.Object
      org.dvb.net.rc.RCInterface

Direct Known Subclasses:
  ConnectionRCInterface, OCRCInterface

    public class RCInterface

extends Object

This class models a return channel network interface for use in receiving and transmitting IP packets over a logical return channel. This can include real analog modems, cable return channel and all the other options allowed by the relevant DVB specification. This class does not model any concept of connection. Hence interfaces represented by this class and not by a sub-class of it are permanently connected.

Field Summary
`static int` | `TYPE_CATV` Constant to indicate a CATV return channel.
`static int` | `TYPE_DECT` Constant to indicate a DECT return channel.
`static int` | `TYPE_ISDN` Constant to indicate an ISDN return channel.
`static int` | `TYPE_LMDS` Constant to indicate a LMDS return channel.
`static int` | `TYPE_MATV` Constant to indicate a MATV return channel.
`static int` | `TYPE_OTHER` Constant to indicate all other return channel technologies not having a suitable defined constant in this class.
`static int` | `TYPE_PSTN` Constant to indicate a PSTN return channel.
`static int` | `TYPE_RCS` Constant to indicate a DVB-RCS return channel.
`static int` | `TYPE_UNKNOWN` Constant to indicate an unknown return channel technology.

Method Summary
`int` | `getDataRate()` Return the maximum data rate of the connection over the immediate access network to which this network interface is connected.
`int` | `getType()` Return the type of return channel represented by this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_PSTN

    public static final int TYPE_PSTN

  Constant to indicate a PSTN return channel.

  See Also:
    Constant Field Values

### TYPE_ISDN

    public static final int TYPE_ISDN

  Constant to indicate an ISDN return channel.

  See Also:
    Constant Field Values

### TYPE_DECT

    public static final int TYPE_DECT

  Constant to indicate a DECT return channel.

  See Also:
    Constant Field Values

### TYPE_CATV

    public static final int TYPE_CATV

  Constant to indicate a CATV return channel.

  See Also:
    Constant Field Values

### TYPE_LMDS

    public static final int TYPE_LMDS

  Constant to indicate a LMDS return channel.

  See Also:
    Constant Field Values

### TYPE_MATV

    public static final int TYPE_MATV

  Constant to indicate a MATV return channel.

  See Also:
    Constant Field Values

### TYPE_RCS

    public static final int TYPE_RCS

  Constant to indicate a DVB-RCS return channel.

  See Also:
    Constant Field Values

### TYPE_UNKNOWN

    public static final int TYPE_UNKNOWN

  Constant to indicate an unknown return channel technology. There is an intermediate physical interface between the MHP terminal and the return channel device. This return value gives no information about whether the return channel is connection oriented or connectionless.

  See Also:
    Constant Field Values

### TYPE_OTHER

    public static final int TYPE_OTHER

  Constant to indicate all other return channel technologies not having a suitable defined constant in this class.

  NOTE: DVB does not intend to add future constants to this list for future return channel technologies. These should be represented as TYPE_OTHER.

  See Also:
    Constant Field Values

Method Detail

### getType

    public int getType()

  Return the type of return channel represented by this object. Note, applications wishing to discover whether a return channel interface is connection oriented or not are recommended to test whether an object is an instance of `ConnectionRCInterface` or not. A non-connection oriented interface really means a permanently connected return channel.

  Returns:
    the type of return channel represented by this object encoded as one of the constants defined in this class

### getDataRate

    public int getDataRate()

  Return the maximum data rate of the connection over the immediate access network to which this network interface is connected. For asymmetric connections, the data rate coming into the MHP terminal shall be returned. For connection oriented interfaces which are not currently connected, the value returned shall be that of the last connection established where that information is available. Where that information is not available, (e.g. where no connection has been established since an MHP terminal was power cycled), -1 shall be returned.

  Returns:
    a data rate in KBaud or -1 where this is not available
  Since:
    MHP 1.0.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD